ThreatFactor NSIA - Feature #168

Autocomplete URL Filter on New Auto-Discovery Rule Form
07/10/2010 01:08 PM - Luke Murphey

Status: Closed Start date: 07/10/2010
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.0 (Release)

Description

Auto-completion should be added to the new rule form in order to populate the URL filter for the user.

History

#1-07/10/2010 01:10 PM - Luke Murphey

- Status changed from New to In Progress

#2 - 07/10/2010 01:23 PM - Luke Murphey

Below is code to set the URL filter. Needs to be modified to:

* Not throw an exception when the URL is invalid
¢ Do not replace the domain filter if it is not empty
e Set a filter of * if multiple domains exist

function getDomain (thestring) {
//simple function that matches the beginning of a URL
//in a string and then returns the domain.
var urlpattern = new RegExp (" (http|ftplhttps)://(.*?) (/.*)28");
var parsedurl = thestring.match(urlpattern);

if ( parsedurl && parsedurl.length >= 2) {
return parsedurl(2];
}
else{
return null;
}
}

$ ("input [name=Domain]") .focus ( function() {
urls = cpl.getCode();

url = urls.split("\n") [0];
url = getDomain (url);
$ ("input [name=Domain]") .val ("*" + url + "*");

)i
#3 - 07/11/2010 12:16 AM - Luke Murphey
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Implemented in r530.
